@use 'reset';

@import url("https://fonts.googleapis.com/css2?family=Kumbh+Sans:wght@400;700&display=swap");

:root {
  --clr-primary-cyan: hsl(185, 75%, 39%);
  --clr-primary-blue: hsl(229, 23%, 23%);
  --clr-primary-gray: hsl(227, 10%, 46%);

  --clr-neutral-gray: hsl(0, 0%, 59%);

  --font-size: 18px;

  --font-family: "Kumbh Sans", sans-serif; // 400,700
}
//- Mobile: 375px
// - Desktop: 1440px

body {
  background-color: var(--clr-primary-cyan);
  // background: url("./images/bg-pattern-top.svg"),
  //   url("./images/bg-pattern-bottom.svg"), var(--clr-primary-cyan);
  // background-position: top -66% left -166%, bottom right;
  // background-repeat: no-repeat, no-repeat;
  // background-size: contain;
  font-family: var(--font-family);
  font-size: var(--font-size); //(name and stats)
  height: 100vh;
}

main {
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  vertical-align: middle;
  margin: auto 1.5rem;
}

.card {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  width: 100%;
  border-radius: 1rem;
  background-color: #fff;

  .card-header {
    background: url("./images/bg-pattern-card.svg");
    height: 150px;
    width: 100%;
    border-top-left-radius: 1rem;
    border-top-right-radius: 1rem;
    position: relative;

    img {
      position: absolute;
      bottom: -65px;
      left: 35%;
      width: 96px;
      height: auto;
      border-radius: 50%;
      border: 5px solid #fff;
      margin-bottom: 1rem;
    }
  }

  .card-body {
    height: 150px;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;

    .name {
      font-weight: 700;
    }
    .age {
      columns: var(--clr-neutral-gray);
      font-weight: 400;
    }
    .address {
      color: var(--clr-primary-gray);
      font-size: 0.9rem;
      margin-bottom: 1rem;
    }
  }

  .card-footer {
    width: 100%;
    border-top: 1px solid #dcdada;
    padding: 1rem;
  }
}

dl {
  display: grid;
}

dt {
  font-weight: 700;
  grid-row: 1;
}

dd {
  grid-row: 2;
  font-size: 0.75rem;
  color: var(--clr-primary-gray);
}
